package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingCouponQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaHmMarketingCouponQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingCouponQueryitemsRequest) SetParam(v domain.AlibabaHmMarketingCouponQueryitemsActivitySkuQuery) *AlibabaHmMarketingCouponQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingCouponQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingCouponQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
